      PROGRAM LASTFILELIST
      CHARACTER TARNAME*27
      OPEN(80,FILE='listanalysis.tars')
      OPEN(81,FILE='listofinfiles')
 1    READ(80,100,END=999)TARNAME
 100  FORMAT(A27)
      WRITE(81,200)TARNAME
 200  FORMAT('tar xf ',A27,'.tar infiles')
      WRITE(81,201)
 201  FORMAT('sed -n 2p infiles >> infilelist')
      GO TO 1
 999  CLOSE(80)
      CLOSE(81)
      STOP
      END
